QGfxDriverFactory(3qt)

NAME
QGfxDriverFactory - Creates QScreen objects for Qt/Embedded

SYNOPSIS
#include <qgfxdriverfactory_qws.h>

  Static Public Members

QStringList keys ()

QScreen * create ( const QString & key, int displayId )

DESCRIPTION
The QGfxDriverFactory class creates QScreen objects for Qt/Embedded.

The graphics driver factory creates a QScreen object for a given key with QGfxDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see QGfxDriverPlugin).

QGfxDriverFactory::keys() returns a list of valid keys. Qt currently ships with "LinuxFb".

This class is only available in Qt/Embedded.

MEMBER FUNCTION DOCUMENTATION

QScreen * QGfxDriverFactory::create ( const QString & key, int displayId ) [static]
Creates a QScreen object of a type that matches key, and with the ID, displayId. The QScreen object returned may be from a built-in driver, or from a driver plugin.

See also keys().

QStringList QGfxDriverFactory::keys () [static]
Returns the list of keys this factory can create drivers for.

See also create().

SEE ALSO
http://doc.trolltech.com/qgfxdriverfactory.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qgfxdriverfactory.3qt) and the Qt version (3.2.1).